## org.apache.mahout.cf.taste.impl.eval
Class RMSRecommenderEvaluator

    java.lang.Object
      org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator
          org.apache.mahout.cf.taste.impl.eval.RMSRecommenderEvaluator

All Implemented Interfaces:
  RecommenderEvaluator

    public final class RMSRecommenderEvaluator

extends AbstractDifferenceRecommenderEvaluator

A `RecommenderEvaluator` which computes the "root mean squared" difference between predicted and actual ratings for users. This is the square root of the average of this difference, squared.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator
`AbstractDifferenceRecommenderEvaluator.PreferenceEstimateCallable`

Constructor Summary
`RMSRecommenderEvaluator()`

Method Summary
`protected double` `computeFinalEvaluation()`
`protected void` `processOneEstimate(float estimatedPreference, Preference realPref)`
`protected void` `reset()`
`String` `toString()`

Methods inherited from class org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator
`evaluate, execute, getMaxPreference, getMinPreference, setMaxPreference, setMinPreference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RMSRecommenderEvaluator

    public RMSRecommenderEvaluator()

Method Detail

### reset

    protected void reset()

  Specified by:
    `reset` in class `AbstractDifferenceRecommenderEvaluator`

### processOneEstimate

    protected void processOneEstimate(float estimatedPreference,
                                      Preference realPref)

  Specified by:
    `processOneEstimate` in class `AbstractDifferenceRecommenderEvaluator`

### computeFinalEvaluation

    protected double computeFinalEvaluation()

  Specified by:
    `computeFinalEvaluation` in class `AbstractDifferenceRecommenderEvaluator`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.